## org.eclipse.datatools.connectivity.oda.design
Interface DataSetQuery

    public interface DataSetQuery

Defines the query of a data set. Includes the query text, and any additional query spec. Future: may include a filterSpec for dynamicFiltering.

The following features are supported:

- `Query Text`

See Also:
  `DesignPackage.getDataSetQuery()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getQueryText()` Returns the value of the 'Query Text' attribute.
`void` `setQueryText(java.lang.String value)` Sets the value of the '`Query Text`' attribute.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getQueryText

    java.lang.String getQueryText()

  Returns the value of the 'Query Text' attribute. The query command text to execute at runtime to retrieve data for this data set. Retrieved data could be for one or more result sets and/or output parameters, as defined in this data set design. The query syntax is specific to a data source; could be an empty string.

  Returns:
    the value of the 'Query Text' attribute.
  See Also:
    `setQueryText(String)`, `DesignPackage.getDataSetQuery_QueryText()`

### setQueryText

    void setQueryText(java.lang.String value)

  Sets the value of the '`Query Text`' attribute.

  Parameters:
    `value` - the new value of the 'Query Text' attribute.
  See Also:
    `getQueryText()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.